%option case-insensitive noyywrap bison
%top{
#include "basic.h"
static string s;
%}
%x S_STRING
%%
else	return ELSE;
end	return END;
if	return IF; 
input	return INPUT; 
mod	return MOD;
print	return PRINT;
then	return THEN;
wend	return WEND;
while	return WHILE;
[-()*+/=\n]	return yytext[0]; 
[ \t\r]		;
"/'"(.|\n)*?"'/"|'.*	;
\d+	{ yylval.int_=stoi(yytext);  return NUMBER; }
[a-zA-Z]\w*	{ yylval.int_=find_id(yytext);  return IDENT; }
\"	{  BEGIN(S_STRING); s=""; }
<S_STRING>\"\"	{  s+='"'; 	}
<S_STRING>\"	{  BEGIN(INITIAL); 
                   yylval.int_=tc.size(); 
                   tc.push_back(s);
                   return (STRING); 
                }
<S_STRING>.	s+=yytext;
<S_STRING>\n	yyerror("  "); 
.		;
%%
void yystart(FILE *f)
{ yyrestart(f);
}
